<?php

namespace Abit\Webhook\Controller\Adminhtml;

use Abit\Webhook\Model\HookLogFactory;
use Magento\Backend\App\Action;
use Magento\Backend\App\Action\Context;
use Magento\Backend\Model\View\Result\ForwardFactory;
use Magento\Framework\Api\DataObjectHelper;
use Magento\Framework\Message\Manager;
use Magento\Framework\Registry;
use Magento\Framework\View\Result\PageFactory;

class HookLog extends Action
{
    protected $_coreRegistry;
    protected $_resultPageFactory;

    /**
     * @var Manager
     */
    protected $_messageManager;
    /**
     * @var DataObjectHelper
     */
    protected $_dataObjectHelper;
    /**
     * @var HookLogFactory
     */
    protected $_hookLogFactory;
    /**
     * @var ForwardFactory
     */
    protected $_forwardFactory;

    public function __construct(
        Context $context,
        Registry $coreRegistry,
        PageFactory $resultPageFactory,
        HookLogFactory $hookLogFactory,
        DataObjectHelper $dataObjectHelper,
        Manager $messageManager,
        ForwardFactory $forwardFactory

    ) {
        $this->_coreRegistry = $coreRegistry;
        $this->_resultPageFactory = $resultPageFactory;
        $this->_hookLogFactory = $hookLogFactory;
        $this->_messageManager = $messageManager;
        $this->_dataObjectHelper = $dataObjectHelper;
        $this->_forwardFactory = $forwardFactory;
        parent::__construct($context);
    }

    /**
     * @inheritDoc
     */
    public function execute()
    {
        // TODO: Implement execute() method.
    }

    protected function _isAllowed()
    {
        return true;
    }
}
