<?php

namespace Abit\Webhook\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;

class Method implements ArrayInterface
{
    const GET = 'GET';
    const POST = 'POST';

    /**
     * @inheritDoc
     */
    public function toOptionArray()
    {
        $options = [];
        foreach ($this->toArray() as $value => $label) {
            $options[] = [
                'value' => $value,
                'label' => $label
            ];
        }

        return $options;
    }

    public function toArray()
    {
        return [
            self::POST  => 'POST',
            self::GET   => 'GET',
        ];
    }
}
