<?php

namespace Abit\Webhook\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;

class Minute implements ArrayInterface
{

    /**
     * @inheritDoc
     */
    public function toOptionArray()
    {
        $options = [];
        foreach ($this->toArray() as $value => $label) {
            $options[] = [
                'value' => $value,
                'label' => $label
            ];
        }

        return $options;
    }

    public function toArray()
    {
        $minute = [];
        for ($i =0; $i <60; $i++) {
            $hour = str_pad($i, 2, '0', STR_PAD_LEFT);
            $minute[$hour] = $hour;
        }
        return $minute;
    }
}
