<?php
/**
 * Abit_Webhook Hook Interface.
 *
 * @category    Abit
 *
 * @author      Binhdt
 */

namespace Abit\Webhook\Api\Data;

use Zend\Db\Sql\Ddl\Column\Varchar;

interface WebhookInterface
{
    /**
     * Constants for keys of data array. Identical to the name of the getter in snake case.
     */
    const HOOK_ID = 'hook_id';
    const NAME = 'name';

    /**
     * Get HookID.
     *
     * @return int
     */
    public function getHookId();

    /**
     * Set HookID.
     * @param $hook_id
     */
    public function setHookId($hook_id);

    /**
    * Get Name
    *
    * @return varchar
     */
    public function getName();

    /**
     * Set Name.
     * @param $name
     */
    public function setName($name);

}
